Update asset
curl --request PUT \
--url https://api.notifense.com/v1/accounts/{accountId}/assets/{assetId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"externalId": "<string>",
"name": "<string>",
"telemetryRules": {
"inputVoltageLowThreshold": 123,
"batteryVoltageLowThreshold": 123,
"batteryPercentageLowThreshold": 123,
"speedLimit": 123,
"fuelLevelLowThreshold": 123,
"adBlueLevelLowThreshold": 123,
"temperatureLowThreshold": 123,
"temperatureHighThreshold": 123,
"pressureLowThreshold": 123,
"pressureHighThreshold": 123,
"engineSpeedLimit": 123
}
}
'import requests
url = "https://api.notifense.com/v1/accounts/{accountId}/assets/{assetId}"
payload = {
"externalId": "<string>",
"name": "<string>",
"telemetryRules": {
"inputVoltageLowThreshold": 123,
"batteryVoltageLowThreshold": 123,
"batteryPercentageLowThreshold": 123,
"speedLimit": 123,
"fuelLevelLowThreshold": 123,
"adBlueLevelLowThreshold": 123,
"temperatureLowThreshold": 123,
"temperatureHighThreshold": 123,
"pressureLowThreshold": 123,
"pressureHighThreshold": 123,
"engineSpeedLimit": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
externalId: '<string>',
name: '<string>',
telemetryRules: {
inputVoltageLowThreshold: 123,
batteryVoltageLowThreshold: 123,
batteryPercentageLowThreshold: 123,
speedLimit: 123,
fuelLevelLowThreshold: 123,
adBlueLevelLowThreshold: 123,
temperatureLowThreshold: 123,
temperatureHighThreshold: 123,
pressureLowThreshold: 123,
pressureHighThreshold: 123,
engineSpeedLimit: 123
}
})
};
fetch('https://api.notifense.com/v1/accounts/{accountId}/assets/{assetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}assets
Update asset
Updates an asset.
PUT
https://api.notifense.com
/
v1
/
accounts
/
{accountId}
/
assets
/
{assetId}
Update asset
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Response
No Content
⌘I